#!/usr/bin/perl -w
use strict;

my $infile1 = $ARGV[0]; # clustering.step3_extract_cluster.pl 
my $infile2 = $ARGV[1]; # the list of the all input genes (before clustering)

my $i_cluster = 0;
open( in1, "<$infile1" );
while( my $line1 = <in1> ) {
	$i_cluster++;
	chomp( $line1 );
	my @gene = split( /:/, $line1 );
	
	print join( "\t", "C".$i_cluster, $#gene + 1, "+1", @gene ), "\n";
}
close( in1 );

open( in2, "<$infile2" );
my $header1 = <in2>;
my @all = ();
$i_cluster++;
while( my $line2 = <in2> ) {
	chomp( $line2 );
	my ( $id1, $desc1 ) = split( /\t/, $line2, 2 );
	
	push( @all, $id1 );
}
print join( "\t", "C".$i_cluster, $#all + 1, "-1", @all ), "\n";
close( in2 );
